Akeeba Backup for WordPress requires PHP 7.2.0 or later but your server only has PHP 7.0.33. Dwalen in 't Maisdoolhof Buurse - Buurse.nl